<?php

use Illuminate\Database\Seeder;
use Faker\Factory as Faker;
use App\User;
use App\Post;
use App\Comment;

class CommentsTableSeeder extends Seeder
{
	// This is an array that contains posts from which I randomely pick.
	private $commentContent;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->initCommentContent();

        for ($i = 0; $i < 500; $i++)
        { 
        	$comment = new Comment;
	        $comment->content = $this->commentContent->random();
	        $comment->user_id = User::all()->random()->id;
	        $comment->post_id = Post::all()->random()->id;
	        $comment->save();
        }
    }

    private function initCommentContent()
	{
		// This is an array that contains posts from which I randomely pick.
		$this->commentContent = collect([
			'سيد بيتصل بيا بيقولى ارجع فى معادك علشان اللى اللوا قال اللى هيتاخر هياخد ٣٠ يوم سجن 
نهارك سعيد يا سيد والله 😂',
			'وكفايه عندى الأمان 
والقضاء على مشكله فيروس سى',
			'الريتويت مهم جدااا للهاش 
اتعبوا علشان بلدكوا 
#السيسى_زعيمي_وافتخر',
			'هنكمل عهدنا ونوفي بوعدنا 
ونقول لأهلنا مصر أغلي مننا 
تحيا مصر 🇪🇬🇪🇬🇪🇬🇪🇬🇪🇬🇪🇬🇪🇬',
			'وصلت الفوضى في العراق الى حد التصادم بين صنوف القوات المسلحة ! كتائب حزب الله تشتبك مع وزارة الداخلية !! هكذا الامر بكل سهولة !! وزارة الداخلية تقرر محاصرة مقر حزب الله !! في مثل هذه الاجواء كيف يأمن  المواطن على حياته ؟الك الله يابلد',
			'ظهر النجم البرتغالي كريستيانو رونالدو بلوك جديد قبل اللقاء الذي سيجمع منتخبي البرتغال والمغرب
#البرتغال_اسبانيا #روسيا2018 #WorldCup #PORMOR',
			'الدون يقلد مين مابده ما بنقدر نحكي 😂😂',
			'بث مباشر البرتغال المغرب
رابط مشاهدة http://bit.ly/2JVfIw7 
 #البرتغال_المغرب
 #WorldCup #كأس_العالم #روسيا2018
 #المغرب #MAR أمام #البرتغال #POR
 #السعوديه_الاورغواي',
			'منتاجات شركة  Forever من اقوى وافضل المنتحات للطلب ولاستفسار التواصل على الخاص.....',
			'الوطنية الزائفه
#مجدي_عبد_الغني مش همه مصر المهم الهدف الي جابه
منتخب #مصر مهزوم و هو بيضحك و مبسوط
في الاخر مجدي مقشه يبقى وطني و #ابو_تريكه ارهابي
نخبة #السيسي الفاسدة هم فقط من يساندوه',
			'صباحووو   إوعى ياهرم جون محمد صلاح ينسيك جون مجدي عبد الغني 😂',
			'بقلب في التليفزيون لقيت اعلان لمسلسل اسمه الميزان ، من ضمن اللقطات واحد بيخبط علي باب اوضة بطريقة هستيرية وعمال يرزع جامد وبيقول "افتحي عشان اموتك" ، عجبتني صراحته جدا وعجبني كاتب السيناريو الكريتيف جدا',
			'من اسبوع كنت ناو اروح الصعيد يوم أو اتنين اقضي واجب وارجع، عدي اسبوع وفعلا مضايق اني راجع، انا بحب المكان ده جدا وبحب ناس كتير هنا.',
			'الجميع في منتخب مصر متكاتف ولا يوجد أي خلاف على الإطلاق بيننا.. نحترم بعضنا البعض والعلاقة على أفضل وجه.',
			'The Holocaust was legal. Slavery was legal. Segregation was legal.

The brave woman who cared for and hid my 6 year-old aunt in an attic in Budapest was a criminal. She broke the law by sheltering Juden. 

Legality is not a guide for morality.',
			'دعوة الصباح:
يارب إنك تعلم وهم لا يعلمون ،
اللهم أرح قلبي و اشرح لي صدري💜',
			'
بما اننا مؤمنين بأن زكاة العلم تعليمه وبنبقى عايزين نوصل كل اللى نعرفه للناس علشان تتعلم حاجات اكتر، علشان كده Project committee عندنا عملو فيديو بيشرحوا فيه هما مين بالظبط؟ و بيعملوا ايه!',
			'الفيديو بيشرح بالتفصيل عن Project إسمه الـmaze runner، ولإن هما عايزين كود يحل الـmaze دي عن طريق الـrecursion، فإنت ممكن تشارك معاهم وتنزل الكود بتاعك علي الـrepo نفسها أو تحطها screenshot عندنا علي الـ Page.',
			'وبجانب المشروع ده، الـProjects committee هتحط Issues في الـrepo بتاعتنا لكتير من الـProjects اللي عملناها، وانت ممكن تخش تشوفها، وتشارك فيها، وتتواصل مع أي حد من OSC لو عايز أي مساعدة، واحنا أكيد هنوصلك للي هيساعدك، وبكدة نكون كلنا استفدنا و استغلينا الإجازة بتاعتنا.',
			'الـProjects بتاعتنا موجودة على GitHub، وقريب جدا هتبقي موجودة على GitLab كمان. 🙆

repo link https://github.com/Open-Source-Community/MazeRunner

بالتوفيق للجميع',
			'السنة دي فرحتنا فرحتين، حلول عيد الفطر علينا على خير و بركة، وحلمنا اللي بيتحقق بأول مباراة لمصر في كأس العالم بعد غياب 28 سنة  ❤️
كل سنة وانتم طيبين 🎉🎈',
			'
وعشان مش دايما بندخل الكلية اللي عايزينها، وعشان نلغي فكرة انه صعب تتعلم الحاجة اللي بتحبها، مجموعة من الناس سموا نفسهم "Open Source Society University"، عملوا تجميع لكل حاجة ليها علاقة بالـ computer science فى منهج متكامل ومن مصادر مجانية تماما وكأنك بتدرسه فى جامعة من الجامعات النظامية بالظبط، وكعادة أي حاجة open source عدلوا وضافوا ومر بتغيرات كتيرة جدا لحد ما وصل انه يعادل بالظبط درجة البكالوريوس. ',
			'
عيلة OSC الكبيرة .. كل سنة وأنتم طيبين ❤😍
#إفطار_OSC',
			'
أفكار كتير بتكون ليها نهاية، حدث معين بيحصل فالفكرة تنتهي بس فكرة الـ Open Source من الافكار اللي يكاد يكون مستحيل نهايتها؛ لانها مش معتمدة علي شخص أو مكان بعينهم.
دي فكرة عامة الكل يقدر يشارك و يغير فيها و يحسن منها وينفذها في أي مكان.
النهاردة تم الاعلان ان Microsoft خلاص اشترت Github 😯
بس Github مجرد Frame .. حلو، سريع، ومميز.',
			'ايه علاقة ان مايكروسوفت هتشتري github بإن الناس تروح ل gitlab؟',
			'ناس كتير open source fans ضايقها الخبر ده يا عمرو بس احنا گ open source community هدفنا نعرض اكتر من tool open source للناس مش اننا ننقلهم  😃
',
			'GitLab is a great platform and has a lot of features over Github, but it has a killing disadvantage which is doesn\'t provide an easy way to label the repository what is the license used.
It is important for companies and commercial projects to keep some of the modified code private to the company.
Open source doesn\'t mean you can do what you want on the source code.
Some of licenses like mit license and apache you can keep the modification private, but others like LGPL license you must publish your work and your binary builds if exist also to be open source.',
			'
"مجهود أقل، مذاكرة أكتر" 👌
جملة ممكن تكون مش منطقية بالنسبة لبعض الناس وتوصل لتفكيرهم زي كُل أكتر تخِس أكتر! حاولنا نخليها منطقية من خلال شوية نقط جهزناها عشان تستعدوا بيها للامتحانات.
عشان نعوض صح للـ Final لازم نذاكر بذكاء ',
			'Glorious as always ❤️ ramdan karem 3aleko isA 🙏🙏',
			'الـ posts نزل منها 3 اجزاء يا محمود ولسه في اجزاء تاني هتنزل عشان يوصلولك تابع الصفحة أو اعمل see first :D 
بالتوفيق ف مذاكرتك ان شاء الله ^_^
',
			'
الـ Project Management 👀
بطبيعة دراستنا، احنا بنعيش نص عمرنا بنعمل Projects :\'D
علشان نعرف ننجو في هذا العالم الملئ بالمخاطر، لازم نعرف ازاي نرتب الشغل صح!',
			'
هو احنا لما نتخرج هتعمل ايه هنشتغل ازاى ؟ وإزاى هنوصل للشركات الكبيرة دى ؟ وايه الحاجة اللى هتخليهم يشغلونى معاهم ؟ 🤔 
طبعا كل دى أسئلة خطرت فى بال كل واحد فينا.
طب ما تيجى نعرف الطريق ده بيبتدى ازاى ؟ ',
			'
الـ Codelite IDE 
و ده عباره عن ايه؟ 🤔
دي tool بتقدر تكتب بيها كود و تعدل عليه بـ 4 لغات مختلفة 😮

نبدأ بانه (IDE (Integrated development environment بيئة تطوير متكاملة، بنعمل بيها إيه بقي؟ ',
			'
أوقات واحنا بندرس الـ math في حاجات بتقف قصادنا وبيتقال عليها أن صعب حد يحلها لانها بتبقى معقدة جدا زى الـ matrices الكبيرة، بنلجأ لحـل الحاجات دى باستخدام machines متخصصة✋. 
الـ machines دى بتشتغل ازاى ؟',
			'
عارف أما تكتب code كـ logic صح في نص ساعة بس، وتبقي فخور وفرحان بنفسك لكن بعد الـ run تفضل تصلح في الـ errors بقى 3 أيام ورا بعض ساعتها بتكون محتاج صاحبك اللي بجد اللي ياخد باله من كودك يفضل جمبك طول ما انت شغال يقولك نسيت حرف هنا أو نسيت قوس هنا اقفلها أو فين الـ semicolon ياصاحبي ',
			'
وسط الزحمة اللى احنا فيها دى فى حاجات بتحصل هى اللى بتخلينا نكمل ويبقى عندنا طاقة أننا نخلص المشوار؛ وبما أننا عيلة واحدة يبقى لازم نشارك بعض فى كل لحظة الوحشة قبل الحلوة. 😍
علشان كدا لازم نشارك "English Moderator- Mina Benjamin" فى إنه اخد المركز الأول في كرة الريشة في "الالعاب الاولمبية الاقليمية في ابو ظبي. 🎉🎈',
			'انت مش غزيت واحد قبل كده بالمطوه هنزلك بوست علي روبوتك وأبلغ عنك Ebrahim Elshenawy
',
			'اللهم صل علي النبي ... عاش يا مينا Mina Benjamin
ومن نجاح لنجاح يارب
',
			'بس ياد يا تعبان ',
			'♡❆♡♨ عربية اقيم فى امريكا ابحث عن زوج عربي متفتح مثقف انا شخصيتى حنونة طيبة بطبعى',
			'❆♡♨ ســـــــــــــــــيدة اعمـــال لبنانية اقيم فى كندا ابحــــــــــــــث عن زوج عــــربي',
			'#توكلي_وانطلقي، فعاليات تعريفية في عدة مدن بـ #السعودية استعداداً لموعد السماح بالقيادة للمرأة، في 24 يونيو/حزيران الجاري.',
			'يااااه يلا ي عربي وهفضل اعدهم باليوم والله 😂 الواد فاروق اعمله بلوك 😂',
			'المغرب افضل فريق عربي فنيا. 
هذا المدرب الفرنسي نجح في عمل توليفه ممتازه جدا. 
منظومه كبيره. 

عاشت المغرب ',
			'الى الآن لم أرى فريق عربي متأهل لكاس العالم يلعب بأحترافية الى الدقيقة 90 سواء المغرب ❤ع الرغم من الخسارة لكن كان الاداء مشرف للوطن العربي #هاردلك',
			'#عاجل: #أوروبا تفتح تحقيقا بشأن #الغاز_القطري',
			'ياخي هالكلام ماهو حصر على الدكاتره؟ لم ارى دكتور يطلب مني ان انا يه دكتور!! بلاش ظلم وجور. هذا هو مجتمعنا، ننادي الاشخاص بابو فلان، او اذا كان يكبرنا سناً بـ ياعم، واذا كان من اصحاب المال والنفوذ بـ طال عمرك. في الغرب يختلف الوضع ثقافياً. 

فياليتنا لا نخصها على حملة الدكتوراة',
			'بہتر تو یہ ہو گا کہ الیکشن والے دن پنجاب اور کے پی میں کرفیو لگایا جاوے اور ووٹ ان جَری جوانوں سے تھسوائے (سٹَفِنگ) جاویں۔فی جوان سو ووٹ کاسٹ کروائے جائیں تاکہ تین کروڑ شودر سیویلینز بھگتائے جا سکیں۔',
			'Thank you all for your sweet birthday wishes, i really appreciate it.',
			'منور الدنيا يا خالو',
			'شربات والله انسان متصارح مع نفسه 😆😂
"ما بشربش حاجة غير الحشيش والحمدلله"',
			'اشيك موديلات الاطفال باقل الاسعار',
			'بكام 3سنين',
			'إحنا إلي نفخنا في الزبادي بس الشوربه مالسعتناش',
			'البوست ده عالمي بس ايه حكاية لو اللي في الاول دى 😂😂😂😂',
			'حط احتمال. واحد في الميه اننا نتغفل و. يكسبوا 😂',
			'مش عارف اجيبهالكوا ازاي .. بس كل اللي قالكوا نستحمل الأسعار عشان بلدنا راحوا يستحملوا في روسيا',
			'أحب اقولك أنهم هيتنفخوا في روسيا دا كوباية الشاي ب 20 دولار غير أن السلع الغذائية كلها ارتفعت هناك 😂😂و بكرة يطبلوا لبوتين',
			'يا أخي عيب كده .. دول في مهمة رسمية .. رايحيين ينحسونا وراجعين علاطول',
			'العالم الموازي✋',
			'للتاريخ ..النهارده السيسي قال للمذيعه المايك مش شغال و فضل يضحك 
قامت الناس كلها سقفت ... بس كده
#جمهور_الألشه_الحلوه
#تفتيسات_رئاسيه',
			'ياشايله الهم من بدري يا لوووزززة 😂😂😅',
			'3sl ya meroooo',
			'7elwaa awyy 😍',
			'هم ايه دى فراشة 😂😂😂😂',
			'انا ضهرى راح ياعمو خااالص 😭😭',
			'كيرميت حياتي (🐸)
ضوضي 😍😍😍',
			'جرا ايه يا شاطره ماتشوفي صوره متصوره فيها لواحدك :D',
			'ايه الحلاوة الي انا فيها دي اقسم بالله هو في حلاوة كده 🙈😍😂😂😂😂😂',
			'عليه الصلاه وسلام',
			'الحاجة الوحيدة اللي فصلتني ف البرنامج ده 😂😂😂😂🐸',
			'ياعيني مقدرتش تستحمل صدمة المنتخب 😭',
			'اصنعي التاريخ من غير صويت في ودني يا مصر لو سمحت .',
			'خلصت خلاص دا صنعت فضيحه مش مجد',
			'فرص عمل في أماكن كتير كويسة 
بالتوفيق وعيد سعيد عليكم ',
			'افرح ❤️',
			'The memory that will last forever .. Wherever, Whenever ..',
			'مفيش دابل علي واحد 😂',
			'Ysta m7dsh by2dr ydouble 3lek w ana m3aak 😎👨🏻‍✈️😂',
			'كل سنة وانت طيب يا ميدووو وعيد سعيد عليك',
			'صدق او لا تصدق مهارة هينري التي خدعت الدفاع ستخدعك انت ايضا ! وهدف R2 خيالي 👏🏼👏🏼',
			'بتتريق عليه 🤛🏽',
			'بص يسطى كل كأس عالم كنت بقولك لا بس المره دى فيها حاجه مختلفه 😂😂😂',
			'احذروا ✋🏻 فلدينا لاعب مميز هنا في ضربات الرأس 😅❤️😍',
			'إيه ده في ايه 😂😂😂😂',
			'بسم الله الرحمن الرحيم.. الإجابة صلاح!',
			'
هو انا بتكلم بجد والله انا نفسي فعلاً في التيشرت ده 
ف شوفوا جمعوا من بعض و هاتوه ده تيشرت نيجيريا لو محدش عارف',
			'ربنا ييسر لكل اللي هيمتحن ثانويه',
			'يا بني انا ف إسكندرية مش فاضي يوم م ارجع هفهمه غلطه 😂😂',
			'فين اولتراس اهلاوي',
			'عسل',
		]);
	}
}
